PGSQL_CONTROL
-- $Id: quote.m4,v 1.3 2006/03/12 04:38:54 babolo Exp $
CREATE OR REPLACE FUNCTION quote_html(text) RETURNS text
 AS '$libdir/quote.so.VMAJOR'
  , 'quote_html'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION quote_sh(text) RETURNS text
 AS '$libdir/quote.so.VMAJOR'
  , 'quote_sh'
 LANGUAGE C IMMUTABLE STRICT
;

-- 
CREATE OR REPLACE FUNCTION printf(text, text[]) RETURNS text
 AS 'DECLARE loopn integer := 1;
	     result text := '''';
     BEGIN
	result := REPLACE($1, ''%%'', ''%'' || chr(168));
	LOOP
	    IF $2[loopn] IS NULL THEN
		result := REPLACE(result, ''%'' || chr(168), ''%'');
		EXIT;
            END IF;
            result := replace(result, ''%'' || loopn, $2[loopn]);
            loopn := loopn + 1;
        END LOOP;
    	RETURN result;
     END;
    '
LANGUAGE PLPGSQL IMMUTABLE STRICT
;
COMMENT ON FUNCTION printf(text, text[]) IS '   $1  %  $2[]. %  %.'
;
